EBOOK-POLISH(1)

NAME
ebook-polish - ebook-polish

ebook-polish [pilihan] fail_input [fail_output]

Polishing books is all about putting the shine of perfection onto your carefully crafted e-books.

Polishing tries to minimize the changes to the internal code of your e-book. Unlike conversion, it does not flatten CSS, rename files, change font sizes, adjust margins, etc. Every action performs only the minimum set of changes needed for the desired effect.

You should use this tool as the last step in your e-book creation process.

Note that polishing only works on files in the AZW3atauEPUB formats.

Whenever you pass arguments to ebook-polish that have spaces in them, enclose the arguments in quotation marks. For example: "/some path/with spaces"

[PILIHAN]

--compress-images, -i
    Mampat imej secara tak hilang dalam buku, untuk mengurangkan saiz fail, tanpa mempengaruhi kualiti imej.

--cover, -c
    Path to a cover image. Changes the cover specified in the e-book. If no cover is present, or the cover is not properly identified, inserts a new cover.

--embed-fonts, -e
    Benamkan semua fon yang dirujuk dalam dokumen tetapi sebenarnya tidak dibenam. Ia akan mengimbas fon tersebut dalam komputer anda, dan jika temui, ia akan dibenamkan ke dalam dokumen. Sila pastikan anda mempunyai lesen yang sah untuk membenamkan fon tersebut untuk digunakan dalam dokumen ini.

--help, -h
    tunjuk mesej bantuan ini dan keluar

--jacket, -j
    Sisip laman "jaket buku" pada permulaan buku yang mengandungi semua data meta buku seperti tajuk, tag, pengarang, siri, ulasan dan, lain-lain. Mana-mana jaket buku terdahulu akan diganti.

--opf, -o
    Laluan ke fail OPF. Data meta dalam buku dikemaskini dari fail OPF.

--remove-jacket
    Buang halaman jaket buku yang disisip sebelum ini.

--remove-unused-css, -u
    Buang semua peraturan CSS yang tidak digunakan dari lembaran gaya dan tag<style>. Sesetengah buku yang dicipta dari templat produksi boleh mempunyai sebilangan besar peraturan CSS ekstra yang tidak memadani mana-mana kandungan yang sebenar. Peraturan rambahan dapat melambatkan pembaca dan perlu dihuraikannya semua.

--smarten-punctuation, -p
    Tukar sengkang teks, elipsis, petikan, hyphen berbilang, dan lain-lain ke dalam setara yang betul secara tipografi. Perhatian algoritma kadangkala jana keputusan yang salah, terutamanya bila petikan tunggal pada permulaan pemendekan yang terlibat.

--subset-fonts, -f
    Subset fon bermaksud mengurangkan fon terbenam yang hanya mengandungi aksara yang perlu sahaja digunakan dalam fon di dalam buku. Ia mengurangkan saiz fail fon (separuh saiz fail fon adalah biasa). Contohnya, jika buku guna fon khusus untuk pengepala maka subset akan mengurangkan fon yang hanya mengandungi aksara yang hadir dalam pengepala di dalam buku. Atau jika buku membenamkan versi tebal dan condong fon, tetapi teks tebal dan condong jarang digunakan, atau tiada langsung digunakan. Oleh itu, fon tebal dan condong boleh dikurangkan atau dibuang sepenuhnya. Kelemahan membuat subset fon ialah jika anda bercadang mahu menambah lagi teks ke dalam buku anda, teks yang baru ditambah mungkin tidak dapat dipapar sepenuhnya kerana fon telah disubset.

--verbose
    Hasilkan lagi output berjela, berguna untuk penyahpepijatan.

--version
    tunjuk nombor versi program dan keluar

AUTHOR
Kovid Goyal

COPYRIGHT
Kovid Goyal